Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.internal
Class InternalExpr

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xpath.expr.Expr
              org.basex.query.xpath.internal.InternalExpr

Direct Known Subclasses:
  AllOf, IndexAccess, IndexMatch, OneOf, Range, RangeAccess

    public abstract class InternalExpr

extends Expr

Abstract class for internal (optimized) XPath expressions.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Constructor Summary
`InternalExpr()`

Method Summary
`Expr` | `comp(XPContext ctx)` Optimizes the expression.
`boolean` | `usesPos()` Checks whether this Expression (or its children) make use of the position parameter.
`boolean` | `usesSize()` Checks whether this Expression (or its children) make use of the setsize parameter.

Methods inherited from class org.basex.query.xpath.expr.Expr
`eval, indexEquivalent, indexSizes, returnedValue, sameAs`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name, plan, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InternalExpr

    public InternalExpr()

Method Detail

### comp

    public final Expr comp(XPContext ctx)

  Description copied from class: `Expr`
  Optimizes the expression.

  Specified by:
    `comp` in class `Expr`
  Parameters:
    `ctx` - expression context
  Returns:
    optimized Expression

### usesSize

    public final boolean usesSize()

  Description copied from class: `Expr`
  Checks whether this Expression (or its children) make use of the setsize parameter. If not this allows early predicate evaluation.

  Specified by:
    `usesSize` in class `Expr`
  Returns:
    whether setsize is used

### usesPos

    public final boolean usesPos()

  Description copied from class: `Expr`
  Checks whether this Expression (or its children) make use of the position parameter. If not this allows some nice optimizations.

  Specified by:
    `usesPos` in class `Expr`
  Returns:
    whether position is used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD